.block--contact{
    max-width: 34rem;
    padding: 1.5rem;
    margin: 0 auto 3rem;
}

.block--contact .webform-submission-form{
    padding: 2rem;
    border-radius: var(--border-radius);
    background-color: #f8f8f8;
    box-shadow: var(--box-shadow);
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.block--contact .webform-submission-form > .form-item:not(.form-type-checkbox){
    margin: 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.block--contact .webform-submission-form > .form-item label{
   font-size: 0.875rem;
}

.block--contact .webform-submission-form > .form-type-checkbox label{
    font-size: 0.75rem;
}

.block--contact .webform-submission-form > .form-item > input,
.block--contact .webform-submission-form > .form-item textarea{
    font-size: 0.875rem;
    padding: 0.5rem 0.65rem;
    border-radius: 10px;
    border: 1px solid #D8D9D9;
}

.block--contact .webform-submission-form > .form-actions{
    margin: 0 auto;
}

.block--contact .webform-submission-form > .form-actions .button{
    cursor: pointer;
    border: 1px solid var(--color-primary);
    border-radius: var(--border-radius);
    padding: 1rem 1.5rem;
    background-color: var(--color-primary);
    color: white;
    font-size: 0.9375rem;
    font-weight: 500;
    width: fit-content;
}

.block--contact .webform-submission-form > .form-actions .button:hover{
    opacity: 0.8;
}

.block--contact .webform-submission-form > .form-actions .button.disabled{
    color: var(--color-gray);
    background-color: var(--color-gray-200);
    border-color: var(--color-gray-200);
    pointer-events: none;
    cursor: default;
}
